#import <Cocoa/Cocoa.h>

@class XeeController,XeeKeyboardShortcuts,XeePropertiesController;

@interface XeeDelegate:NSObject
{
	NSNib *browsernib;
	BOOL filesopened;

	NSString *openediconset;

	IBOutlet NSMenu *openmenu;
	IBOutlet NSMenu *editmenu;
	IBOutlet NSMenu *viewmenu;
	IBOutlet NSMenu *antialiasmenu;
	IBOutlet NSMenuItem *copyitem;
	IBOutlet NSMenuItem *pasteitem;
	IBOutlet NSMenuItem *statusitem;

	IBOutlet NSWindow *prefswindow;
	IBOutlet NSTabView *prefstabs;
	IBOutlet NSTabViewItem *formattab;

	IBOutlet NSColorWell *imagewell;
	IBOutlet NSColorWell *windowwell;
	IBOutlet NSColorWell *fullscreenwell;

	IBOutlet NSWindow *iconwindow;
	IBOutlet NSTextField *iconfield;

	IBOutlet XeeController *windowcontroller;

	IBOutlet XeePropertiesController *properties;
}


-(void)awakeFromNib;

-(void)applicationDidFinishLaunching:(NSNotification *)notification;

-(BOOL)application:(NSApplication *)app openFile:(NSString *)filename;
-(IBAction)openDocument:(id)sender;

-(void)menuNeedsUpdate:(NSMenu *)menu;
-(BOOL)menuHasKeyEquivalent:(NSMenu *)menu forEvent:(NSEvent *)event target:(id *)target action:(SEL *)action;
-(void)buildOpenMenu:(NSMenu *)menu;
-(void)updateDefaultEditorItem;
-(NSString *)defaultEditor;
-(void)setDefaultEditor:(NSString *)app;
-(IBAction)setDefaultEditorFromMenu:(id)sender;
-(void)updateEditMenu:(NSMenu *)menu;
-(void)updateViewMenu:(NSMenu *)menu;

-(BOOL)validateMenuItem:(id <NSMenuItem>)item;

-(IBAction)paste:(id)sender;

-(IBAction)getInfo:(id)sender;

-(IBAction)keyboardShortcuts:(id)sender;
-(IBAction)openSupportThread:(id)sender;
-(IBAction)openHomePage:(id)sender;

-(IBAction)installIconSet:(id)sender;
-(void)windowWillClose:(NSNotification *)notification;

-(IBAction)dummy:(id)sender;

-(XeeController *)controllerForDirectory:(NSString *)directory;

-(BOOL)xeeFocus;
-(NSArray *)iconNames;

@end

@interface XeeApplication:NSApplication
{
}

-(void)sendEvent:(NSEvent *)event;

@end


extern XeeDelegate *maindelegate;
